#!/bin/sh
# /usr/local/MRUF-lst/bin/MRUF-lst-gtkrc.sh
# Objectif : Lancer MRUF-lst avec un thème GTK2 différent. /
# Goal: Run MRUF-lst with a different GTK2 theme.
####
MRUFrep="/usr/local/MRUF-lst"

cd $MRUFrep/share/MRUF # Habillage par défaut & Variables # Default skin & Vars.
[ ! -f Fonte ] && echo "DejaVu" > Fonte;Caract="`head -1 $MRUFrep/share/MRUF/Fonte`"
[ ! -f Size ] && echo 16 > Size;Size="`head -1 $MRUFrep/share/MRUF/Size`"
[ ! -f Color ] && echo -e "bisque\nsnow" > Color
Color1="`head -1 $MRUFrep/share/MRUF/Color`";Color2="`tail -1 $MRUFrep/share/MRUF/Color`"

NexistePas () {
case "${LANG:0:2}" in fr)TXTMSG4="
cmd \"<span font='Sans 4'><span color='$Color2'><i> </i></span></span>\"  \" \"
cmd \"\t\t\t\t\t<span color='red'><span rise='-9000' underline='double'><i> Hum... </i></span></span>\" \" \"
cmd \"<span font='Sans 4'><span color='$Color2'><i> </i></span></span>\"  \" \"
cmd \"Comme le registre des fichiers récents « recently-used.xbel » \" \" \"
cmd \"  ne contient rien encore, ou qu'il n'existe plus, ce script ne \" \" \"
cmd \"  peut rien afficher. Faites quelques opérations pour recréer  \" \" \"
cmd \"     ou repeupler le fichier « xbel » et réessayez plus tard. \" \" \"
cmd \"<span font='Sans 4'><span color='$Color2'><i> </i></span></span>\"  \" \"
cmd \"\t\t\t     <span color='red'><i>~~~~~~~~~~~~~~</i></span>\" \"\"
cmd \" \" \" \"" ;;
	en|*)TXTMSG4="
cmd \"<span font='Sans 4'><span color='$Color2'><i> </i></span></span>\"  \" \"
cmd \"\t\t\t\t<span color='red'><span rise='-9000' underline='double'><i> Hm... </i></span></span>\" \" \"
cmd \"<span font='Sans 4'><span color='$Color2'><i> </i></span></span>\"  \" \"
cmd \"There is nothing in file recently-used.xbel right now\" \" \"
cmd \"  -- or it doesn't exist --, so this script can't display\" \" \"
cmd \"      anything yet. Please do a few operations to \" \" \"
cmd \"   recreate | repopulate the file and try again later. \" \" \"
cmd \"<span font='Sans 4'><span color='$Color2'><i> </i></span></span>\"  \" \"
cmd \"\t\t     <span color='red'><i>~~~~~~~~~~~~~~</i></span>\" \"\"
cmd \" \" \" \"" ;;
esac
echo -e "$TXTMSG4" > /tmp/NexistePas
aemenu-pango -rc /tmp/NexistePas
exit; }

[ ! -f /root/.local/share/recently-used.xbel ] && NexistePas
[ "`grep file /root/.local/share/recently-used.xbel | wc -l`" = "0" ] && NexistePas
# Vérification essentielle : si le fichier xbel existe et s'il contient des références à des fichiers.

## Si tout est beau, le script se met à l'ouvrage. / If everything ok, script gets to work.

# bash -c 'GTK2_RC_FILES=/root/.aewm/ae/aepanel-custom.gtkrc /usr/local/MRUF-lst/bin/MRUF-lst'
GTK2_RC_FILES=/root/.aewm/ae/aepanel-custom.gtkrc $MRUFrep/bin/MRUF-lst
